package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonFamily;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonFamilyDAO {
	int insert(PersonFamily entity);
	int update(PersonFamily entity);
	int exist(String id);
	PersonFamily get(String id);
	int delete(String id);
	List<PersonFamily> list();
	List<PersonFamily> search(Map<String, Object> searchParams, List<Sort> sortList);
}